Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.co.westhawk.examplev2c
Class AsteriskChanTablePdu

    java.lang.Object
      |
      +--java.util.Observable
            |
            +--uk.co.westhawk.snmp.stack.Pdu
                  |
                  +--uk.co.westhawk.snmp.stack.GetNextPdu
                        |
                        +--uk.co.westhawk.examplev2c.AsteriskChanTablePdu

public class AsteriskChanTablePdu
extends GetNextPdu

The class AsteriskChanTablePdu. This file is auto generated by the StubBrowser utility, using Mibble. See the uk/co/westhawk/stub/ directory. Make sure that you replace the package name and classname placeholders. Also, move this file to the correct package directory. If these things are not done, this class will not compile correctly!!

Version:
  $Revision: 1.1 $ $Date: 2006/03/23 13:44:57 $

Field Summary
`protected java.lang.String` | `_astCanCidANI`
`protected java.lang.String` | `_astChanAccountCode`
`protected java.lang.Integer` | `_astChanADSI`
`protected java.util.HashMap` | `_astChanADSIMap`
`protected java.lang.Integer` | `_astChanAMAFlags`
`protected java.util.HashMap` | `_astChanAMAFlagsMap`
`protected java.lang.String` | `_astChanApp`
`protected java.lang.String` | `_astChanBridge`
`protected java.lang.Long` | `_astChanCallGroup`
`protected java.lang.Integer` | `_astChanCidANI2`
`protected java.lang.String` | `_astChanCidDNID`
`protected java.lang.String` | `_astChanCidName`
`protected java.lang.String` | `_astChanCidNum`
`protected java.lang.String` | `_astChanCidPresentation`
`protected java.lang.String` | `_astChanCidRDNIS`
`protected java.lang.Integer` | `_astChanCidTNS`
`protected java.lang.Integer` | `_astChanCidTON`
`protected java.lang.String` | `_astChanContext`
`protected java.lang.String` | `_astChanData`
`protected java.lang.String` | `_astChanExten`
`protected byte[]` | `_astChanFlags`
`protected java.util.HashMap` | `_astChanFlagsMap`
`protected java.lang.String` | `_astChanForwardTo`
`protected java.lang.Integer` | `_astChanHangupCause`
`protected java.util.HashMap` | `_astChanHangupCauseMap`
`protected java.lang.Integer` | `_astChanIndex`
`protected java.lang.String` | `_astChanLanguage`
`protected java.lang.String` | `_astChanMacroContext`
`protected java.lang.String` | `_astChanMacroExten`
`protected java.lang.Integer` | `_astChanMacroPri`
`protected java.lang.String` | `_astChanMasq`
`protected java.lang.String` | `_astChanMasqr`
`protected java.lang.String` | `_astChanMusicClass`
`protected java.lang.Integer` | `_astChanMuted`
`protected java.util.HashMap` | `_astChanMutedMap`
`protected java.lang.String` | `_astChanName`
`protected java.lang.Long` | `_astChanPickupGroup`
`protected java.lang.Integer` | `_astChanPri`
`protected java.lang.Integer` | `_astChanRings`
`protected java.lang.Integer` | `_astChanState`
`protected java.util.HashMap` | `_astChanStateMap`
`protected java.lang.String` | `_astChanToneZone`
`protected java.lang.Integer` | `_astChanTransferCap`
`protected java.util.HashMap` | `_astChanTransferCapMap`
`protected java.lang.String` | `_astChanType`
`protected java.lang.String` | `_astChanUniqueId`
`protected java.lang.String` | `_astChanVariables`
`protected java.lang.Long` | `_astChanWhenHangup`
`protected java.lang.Integer` | `_astNumChannels`
`protected boolean` | `_invalid`
`protected int` | `_tmpErrorInd`
`protected int` | `_tmpErrorStat`
`static java.lang.String[]` | `all_oids`
`static java.lang.String` | `astCanCidANI_OID`
`static java.lang.String` | `astChanAccountCode_OID`
`static java.lang.String` | `astChanADSI_OID`
`static java.lang.String` | `astChanAMAFlags_OID`
`static java.lang.String` | `astChanApp_OID`
`static java.lang.String` | `astChanBridge_OID`
`static java.lang.String` | `astChanCallGroup_OID`
`static java.lang.String` | `astChanCidANI2_OID`
`static java.lang.String` | `astChanCidDNID_OID`
`static java.lang.String` | `astChanCidName_OID`
`static java.lang.String` | `astChanCidNum_OID`
`static java.lang.String` | `astChanCidPresentation_OID`
`static java.lang.String` | `astChanCidRDNIS_OID`
`static java.lang.String` | `astChanCidTNS_OID`
`static java.lang.String` | `astChanCidTON_OID`
`static java.lang.String` | `astChanContext_OID`
`static java.lang.String` | `astChanData_OID`
`static java.lang.String` | `astChanExten_OID`
`static java.lang.String` | `astChanFlags_OID`
`static java.lang.String` | `astChanForwardTo_OID`
`static java.lang.String` | `astChanHangupCause_OID`
`static java.lang.String` | `astChanIndex_OID`
`static java.lang.String` | `astChanLanguage_OID`
`static java.lang.String` | `astChanMacroContext_OID`
`static java.lang.String` | `astChanMacroExten_OID`
`static java.lang.String` | `astChanMacroPri_OID`
`static java.lang.String` | `astChanMasq_OID`
`static java.lang.String` | `astChanMasqr_OID`
`static java.lang.String` | `astChanMusicClass_OID`
`static java.lang.String` | `astChanMuted_OID`
`static java.lang.String` | `astChanName_OID`
`static java.lang.String` | `astChanPickupGroup_OID`
`static java.lang.String` | `astChanPri_OID`
`static java.lang.String` | `astChanRings_OID`
`static java.lang.String` | `astChanState_OID`
`static java.lang.String` | `astChanToneZone_OID`
`static java.lang.String` | `astChanTransferCap_OID`
`static java.lang.String` | `astChanType_OID`
`static java.lang.String` | `astChanUniqueId_OID`
`static java.lang.String` | `astChanVariables_OID`
`static java.lang.String` | `astChanWhenHangup_OID`
`static java.lang.String` | `astNumChannels_OID`
`static java.lang.String[]` | `col_oids`
`static int` | `NO_COL`
`static int` | `NO_OID`
`static int` | `NO_SCAL`
`static java.lang.String[]` | `scal_oids`

Fields inherited from class uk.co.westhawk.snmp.stack.Pdu
`added, answered, context, encodedPacket, errind, errstat, msg_type, reqVarbinds, respVarbinds, snmpv3MsgId`

Constructor Summary
`AsteriskChanTablePdu(SnmpContextBasisFace con)` Constructor.
`AsteriskChanTablePdu(SnmpContextBasisFace con, java.util.Observer o)` Constructor that will send the first request immediately.

Method Summary
`void` | `addOids(AsteriskChanTablePdu old)` The method addOids is the basis for the GetNext functionality.
`void` | `addOids(int index)` This method sets the column index.
`java.lang.String` | `getAstCanCidANI()`
`java.lang.String` | `getAstChanAccountCode()`
`java.lang.Integer` | `getAstChanADSI()`
`java.lang.String` | `getAstChanADSIStr()`
`java.lang.Integer` | `getAstChanAMAFlags()`
`java.lang.String` | `getAstChanAMAFlagsStr()`
`java.lang.String` | `getAstChanApp()`
`java.lang.String` | `getAstChanBridge()`
`java.lang.Long` | `getAstChanCallGroup()`
`java.lang.Integer` | `getAstChanCidANI2()`
`java.lang.String` | `getAstChanCidDNID()`
`java.lang.String` | `getAstChanCidName()`
`java.lang.String` | `getAstChanCidNum()`
`java.lang.String` | `getAstChanCidPresentation()`
`java.lang.String` | `getAstChanCidRDNIS()`
`java.lang.Integer` | `getAstChanCidTNS()`
`java.lang.Integer` | `getAstChanCidTON()`
`java.lang.String` | `getAstChanContext()`
`java.lang.String` | `getAstChanData()`
`java.lang.String` | `getAstChanExten()`
`byte[]` | `getAstChanFlags()`
`java.lang.String` | `getAstChanFlagsStr()`
`java.lang.String` | `getAstChanForwardTo()`
`java.lang.Integer` | `getAstChanHangupCause()`
`java.lang.String` | `getAstChanHangupCauseStr()`
`java.lang.Integer` | `getAstChanIndex()`
`java.lang.String` | `getAstChanLanguage()`
`java.lang.String` | `getAstChanMacroContext()`
`java.lang.String` | `getAstChanMacroExten()`
`java.lang.Integer` | `getAstChanMacroPri()`
`java.lang.String` | `getAstChanMasq()`
`java.lang.String` | `getAstChanMasqr()`
`java.lang.String` | `getAstChanMusicClass()`
`java.lang.Integer` | `getAstChanMuted()`
`java.lang.String` | `getAstChanMutedStr()`
`java.lang.String` | `getAstChanName()`
`java.lang.Long` | `getAstChanPickupGroup()`
`java.lang.Integer` | `getAstChanPri()`
`java.lang.Integer` | `getAstChanRings()`
`java.lang.Integer` | `getAstChanState()`
`java.lang.String` | `getAstChanStateStr()`
`java.lang.String` | `getAstChanToneZone()`
`java.lang.Integer` | `getAstChanTransferCap()`
`java.lang.String` | `getAstChanTransferCapStr()`
`java.lang.String` | `getAstChanType()`
`java.lang.String` | `getAstChanUniqueId()`
`java.lang.String` | `getAstChanVariables()`
`java.lang.Long` | `getAstChanWhenHangup()`
`java.lang.Integer` | `getAstNumChannels()`
`boolean` | `isInvalid()` Returns if this set of values is invalid.
`protected void` | `new_value(int n, varbind res)` The value of the request is set.
`void` | `setAstCanCidANI(AsnObject new_value)` astCanCidANI TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanAccountCode(AsnObject new_value)` astChanAccountCode TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanADSI(AsnObject new_value)` astChanADSI OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 1 | 2 | 3) Access: read-only Status: current Description: Whether or not ADSI is detected on CPE. )
`void` | `setAstChanAMAFlags(AsnObject new_value)` astChanAMAFlags OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 1 | 2 | 3) Access: read-only Status: current Description: AMA Flags. )
`void` | `setAstChanApp(AsnObject new_value)` astChanApp TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanBridge(AsnObject new_value)` astChanBridge TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanCallGroup(AsnObject new_value)` astChanCallGroup TYPE Unsigned32 ::= [APPLICATION 2] INTEGER (0..4294967295) OBJECT-TYPE ( Syntax: [APPLICATION 2] INTEGER (0..4294967295) Access: read-only Status: current Description: Call Group. )
`void` | `setAstChanCidANI2(AsnObject new_value)` astChanCidANI2 TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: ANI 2 (info digit). )
`void` | `setAstChanCidDNID(AsnObject new_value)` astChanCidDNID TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanCidName(AsnObject new_value)` astChanCidName TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanCidNum(AsnObject new_value)` astChanCidNum TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanCidPresentation(AsnObject new_value)` astChanCidPresentation TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanCidRDNIS(AsnObject new_value)` astChanCidRDNIS TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanCidTNS(AsnObject new_value)` astChanCidTNS TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Transit Network Select. )
`void` | `setAstChanCidTON(AsnObject new_value)` astChanCidTON TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Type of Number. )
`void` | `setAstChanContext(AsnObject new_value)` astChanContext TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanData(AsnObject new_value)` astChanData TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanExten(AsnObject new_value)` astChanExten TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanFlags(AsnObject new_value)` astChanFlags OBJECT-TYPE ( Syntax: [UNIVERSAL 3] BITS (0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9) Access: read-only Status: current Description: Flags set on this channel. )
`void` | `setAstChanForwardTo(AsnObject new_value)` astChanForwardTo TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanHangupCause(AsnObject new_value)` astChanHangupCause OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 3 | 16 | 17 | 19 | 34 | 38 | 66) Access: read-only Status: current Description: Why is the channel hung up. )
`void` | `setAstChanIndex(AsnObject new_value)` astChanIndex TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Index into the channel table. )
`void` | `setAstChanLanguage(AsnObject new_value)` astChanLanguage TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanMacroContext(AsnObject new_value)` astChanMacroContext TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanMacroExten(AsnObject new_value)` astChanMacroExten TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanMacroPri(AsnObject new_value)` astChanMacroPri TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Current macro priority. )
`void` | `setAstChanMasq(AsnObject new_value)` astChanMasq TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanMasqr(AsnObject new_value)` astChanMasqr TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanMusicClass(AsnObject new_value)` astChanMusicClass TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanMuted(AsnObject new_value)` astChanMuted TYPE TruthValue ::= TEXTUAL-CONVENTION ( Status: current Description: Represents a boolean value.
`void` | `setAstChanName(AsnObject new_value)` astChanName TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanPickupGroup(AsnObject new_value)` astChanPickupGroup TYPE Unsigned32 ::= [APPLICATION 2] INTEGER (0..4294967295) OBJECT-TYPE ( Syntax: [APPLICATION 2] INTEGER (0..4294967295) Access: read-only Status: current Description: Pickup Group. )
`void` | `setAstChanPri(AsnObject new_value)` astChanPri TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Current priority. )
`void` | `setAstChanRings(AsnObject new_value)` astChanRings TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Number of rings so far. )
`void` | `setAstChanState(AsnObject new_value)` astChanState OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9) Access: read-only Status: current Description: Channel state. )
`void` | `setAstChanToneZone(AsnObject new_value)` astChanToneZone TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanTransferCap(AsnObject new_value)` astChanTransferCap OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 8 | 9 | 16 | 17 | 24) Access: read-only Status: current Description: Transfer Capabilities for this channel. )
`void` | `setAstChanType(AsnObject new_value)` astChanType TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanUniqueId(AsnObject new_value)` astChanUniqueId TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanVariables(AsnObject new_value)` astChanVariables TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854.
`void` | `setAstChanWhenHangup(AsnObject new_value)` astChanWhenHangup TYPE TimeTicks ::= [APPLICATION 3] INTEGER (0..4294967295) OBJECT-TYPE ( Syntax: [APPLICATION 3] INTEGER (0..4294967295) Access: read-only Status: current Description: How long until this channel will be hung up. )
`void` | `setAstNumChannels(AsnObject new_value)` astNumChannels TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647) OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Current number of active channels. )
`java.lang.String` | `toString()` Returns the string representation of the PDU.

Methods inherited from class uk.co.westhawk.snmp.stack.Pdu
`addOid, addOid, addOid, addOid, addOid, addToTrans, getContext, getErrorIndex, getErrorStatus, getErrorStatusString, getMsgType, getReqId, getRequestVarbinds, getResponseVarbinds, isExpectingResponse, isTimedOut, notifyObservers, printVars, send, send, send, sendme, setErrorIndex, setErrorStatus, setErrorStatus, setMsgType, setRetryIntervals, tell_them, toString, waitForSelf`

Methods inherited from class java.util.Observable
`addObserver, clearChanged, countObservers, deleteObserver, deleteObservers, hasChanged, notifyObservers, setChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### astNumChannels_OID

    public static final java.lang.String astNumChannels_OID

See Also:
  Constant Field Values

### astChanIndex_OID

    public static final java.lang.String astChanIndex_OID

See Also:
  Constant Field Values

### astChanName_OID

    public static final java.lang.String astChanName_OID

See Also:
  Constant Field Values

### astChanLanguage_OID

    public static final java.lang.String astChanLanguage_OID

See Also:
  Constant Field Values

### astChanType_OID

    public static final java.lang.String astChanType_OID

See Also:
  Constant Field Values

### astChanMusicClass_OID

    public static final java.lang.String astChanMusicClass_OID

See Also:
  Constant Field Values

### astChanBridge_OID

    public static final java.lang.String astChanBridge_OID

See Also:
  Constant Field Values

### astChanMasq_OID

    public static final java.lang.String astChanMasq_OID

See Also:
  Constant Field Values

### astChanMasqr_OID

    public static final java.lang.String astChanMasqr_OID

See Also:
  Constant Field Values

### astChanWhenHangup_OID

    public static final java.lang.String astChanWhenHangup_OID

See Also:
  Constant Field Values

### astChanApp_OID

    public static final java.lang.String astChanApp_OID

See Also:
  Constant Field Values

### astChanData_OID

    public static final java.lang.String astChanData_OID

See Also:
  Constant Field Values

### astChanContext_OID

    public static final java.lang.String astChanContext_OID

See Also:
  Constant Field Values

### astChanMacroContext_OID

    public static final java.lang.String astChanMacroContext_OID

See Also:
  Constant Field Values

### astChanMacroExten_OID

    public static final java.lang.String astChanMacroExten_OID

See Also:
  Constant Field Values

### astChanMacroPri_OID

    public static final java.lang.String astChanMacroPri_OID

See Also:
  Constant Field Values

### astChanExten_OID

    public static final java.lang.String astChanExten_OID

See Also:
  Constant Field Values

### astChanPri_OID

    public static final java.lang.String astChanPri_OID

See Also:
  Constant Field Values

### astChanAccountCode_OID

    public static final java.lang.String astChanAccountCode_OID

See Also:
  Constant Field Values

### astChanForwardTo_OID

    public static final java.lang.String astChanForwardTo_OID

See Also:
  Constant Field Values

### astChanUniqueId_OID

    public static final java.lang.String astChanUniqueId_OID

See Also:
  Constant Field Values

### astChanCallGroup_OID

    public static final java.lang.String astChanCallGroup_OID

See Also:
  Constant Field Values

### astChanPickupGroup_OID

    public static final java.lang.String astChanPickupGroup_OID

See Also:
  Constant Field Values

### astChanState_OID

    public static final java.lang.String astChanState_OID

See Also:
  Constant Field Values

### astChanMuted_OID

    public static final java.lang.String astChanMuted_OID

See Also:
  Constant Field Values

### astChanRings_OID

    public static final java.lang.String astChanRings_OID

See Also:
  Constant Field Values

### astChanCidDNID_OID

    public static final java.lang.String astChanCidDNID_OID

See Also:
  Constant Field Values

### astChanCidNum_OID

    public static final java.lang.String astChanCidNum_OID

See Also:
  Constant Field Values

### astChanCidName_OID

    public static final java.lang.String astChanCidName_OID

See Also:
  Constant Field Values

### astCanCidANI_OID

    public static final java.lang.String astCanCidANI_OID

See Also:
  Constant Field Values

### astChanCidRDNIS_OID

    public static final java.lang.String astChanCidRDNIS_OID

See Also:
  Constant Field Values

### astChanCidPresentation_OID

    public static final java.lang.String astChanCidPresentation_OID

See Also:
  Constant Field Values

### astChanCidANI2_OID

    public static final java.lang.String astChanCidANI2_OID

See Also:
  Constant Field Values

### astChanCidTON_OID

    public static final java.lang.String astChanCidTON_OID

See Also:
  Constant Field Values

### astChanCidTNS_OID

    public static final java.lang.String astChanCidTNS_OID

See Also:
  Constant Field Values

### astChanAMAFlags_OID

    public static final java.lang.String astChanAMAFlags_OID

See Also:
  Constant Field Values

### astChanADSI_OID

    public static final java.lang.String astChanADSI_OID

See Also:
  Constant Field Values

### astChanToneZone_OID

    public static final java.lang.String astChanToneZone_OID

See Also:
  Constant Field Values

### astChanHangupCause_OID

    public static final java.lang.String astChanHangupCause_OID

See Also:
  Constant Field Values

### astChanVariables_OID

    public static final java.lang.String astChanVariables_OID

See Also:
  Constant Field Values

### astChanFlags_OID

    public static final java.lang.String astChanFlags_OID

See Also:
  Constant Field Values

### astChanTransferCap_OID

    public static final java.lang.String astChanTransferCap_OID

See Also:
  Constant Field Values

### NO_SCAL

    public static final int NO_SCAL

See Also:
  Constant Field Values

### NO_COL

    public static final int NO_COL

See Also:
  Constant Field Values

### NO_OID

    public static final int NO_OID

See Also:
  Constant Field Values

### scal_oids

    public static final java.lang.String[] scal_oids

### col_oids

    public static final java.lang.String[] col_oids

### all_oids

    public static final java.lang.String[] all_oids

### _astNumChannels

    protected java.lang.Integer _astNumChannels

### _astChanIndex

    protected java.lang.Integer _astChanIndex

### _astChanName

    protected java.lang.String _astChanName

### _astChanLanguage

    protected java.lang.String _astChanLanguage

### _astChanType

    protected java.lang.String _astChanType

### _astChanMusicClass

    protected java.lang.String _astChanMusicClass

### _astChanBridge

    protected java.lang.String _astChanBridge

### _astChanMasq

    protected java.lang.String _astChanMasq

### _astChanMasqr

    protected java.lang.String _astChanMasqr

### _astChanWhenHangup

    protected java.lang.Long _astChanWhenHangup

### _astChanApp

    protected java.lang.String _astChanApp

### _astChanData

    protected java.lang.String _astChanData

### _astChanContext

    protected java.lang.String _astChanContext

### _astChanMacroContext

    protected java.lang.String _astChanMacroContext

### _astChanMacroExten

    protected java.lang.String _astChanMacroExten

### _astChanMacroPri

    protected java.lang.Integer _astChanMacroPri

### _astChanExten

    protected java.lang.String _astChanExten

### _astChanPri

    protected java.lang.Integer _astChanPri

### _astChanAccountCode

    protected java.lang.String _astChanAccountCode

### _astChanForwardTo

    protected java.lang.String _astChanForwardTo

### _astChanUniqueId

    protected java.lang.String _astChanUniqueId

### _astChanCallGroup

    protected java.lang.Long _astChanCallGroup

### _astChanPickupGroup

    protected java.lang.Long _astChanPickupGroup

### _astChanStateMap

    protected java.util.HashMap _astChanStateMap

### _astChanState

    protected java.lang.Integer _astChanState

### _astChanMutedMap

    protected java.util.HashMap _astChanMutedMap

### _astChanMuted

    protected java.lang.Integer _astChanMuted

### _astChanRings

    protected java.lang.Integer _astChanRings

### _astChanCidDNID

    protected java.lang.String _astChanCidDNID

### _astChanCidNum

    protected java.lang.String _astChanCidNum

### _astChanCidName

    protected java.lang.String _astChanCidName

### _astCanCidANI

    protected java.lang.String _astCanCidANI

### _astChanCidRDNIS

    protected java.lang.String _astChanCidRDNIS

### _astChanCidPresentation

    protected java.lang.String _astChanCidPresentation

### _astChanCidANI2

    protected java.lang.Integer _astChanCidANI2

### _astChanCidTON

    protected java.lang.Integer _astChanCidTON

### _astChanCidTNS

    protected java.lang.Integer _astChanCidTNS

### _astChanAMAFlagsMap

    protected java.util.HashMap _astChanAMAFlagsMap

### _astChanAMAFlags

    protected java.lang.Integer _astChanAMAFlags

### _astChanADSIMap

    protected java.util.HashMap _astChanADSIMap

### _astChanADSI

    protected java.lang.Integer _astChanADSI

### _astChanToneZone

    protected java.lang.String _astChanToneZone

### _astChanHangupCauseMap

    protected java.util.HashMap _astChanHangupCauseMap

### _astChanHangupCause

    protected java.lang.Integer _astChanHangupCause

### _astChanVariables

    protected java.lang.String _astChanVariables

### _astChanFlagsMap

    protected java.util.HashMap _astChanFlagsMap

### _astChanFlags

    protected byte[] _astChanFlags

### _astChanTransferCapMap

    protected java.util.HashMap _astChanTransferCapMap

### _astChanTransferCap

    protected java.lang.Integer _astChanTransferCap

### _invalid

    protected boolean _invalid

### _tmpErrorInd

    protected int _tmpErrorInd

### _tmpErrorStat

    protected int _tmpErrorStat

Constructor Detail

### AsteriskChanTablePdu

    public AsteriskChanTablePdu(SnmpContextBasisFace con)

  Constructor.

Parameters:
  `con` - The context of the request

### AsteriskChanTablePdu

    public AsteriskChanTablePdu(SnmpContextBasisFace con,
                                java.util.Observer o)
                         throws PduException,
                                java.io.IOException

  Constructor that will send the first request immediately.

Parameters:
  `con` - The context of the request
  `o` - the Observer that will be notified when the answer is received

Method Detail

### addOids

    public void addOids(AsteriskChanTablePdu old)

  The method addOids is the basis for the GetNext functionality. If old is null, it initialises the varbinds from all_oids. If old is not null, it copies the column OIDs from the old AsteriskChanTablePdu object. so the request continues where the previous one left. Note, the scalars and the columns OIDs are handled differently. The scalars are always copied from the original scal_oids, only the column OIDs are copied from the old AsteriskChanTablePdu object.

### addOids

    public void addOids(int index)

  This method sets the column index. By doing this, the request will return (only) the row after row index. The index parameters only applies to the column OIDs. The scalars are copied from the original scal_oids.

### new_value

    protected void new_value(int n,
                             varbind res)

  The value of the request is set. This will be called by Pdu.fillin(). I check if the variables are still in range. I do this because I'm only interessed in a part of the MIB. If I would not do this check, I'll get the whole MIB from the starting point, instead of the variables in the table.

  Overrides:
    `new_value` in class `Pdu`
  Parameters:
    `n` - the index of the value
  See Also:
    `Pdu.new_value(int, uk.co.westhawk.snmp.stack.varbind)`

### setAstNumChannels

    public void setAstNumChannels(AsnObject new_value)

  astNumChannels
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Current number of active channels. )

### getAstNumChannels

    public java.lang.Integer getAstNumChannels()

### setAstChanIndex

    public void setAstChanIndex(AsnObject new_value)

  astChanIndex
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Index into the channel table. )

### getAstChanIndex

    public java.lang.Integer getAstChanIndex()

### setAstChanName

    public void setAstChanName(AsnObject new_value)

  astChanName
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Name of the currentl channel. )

### getAstChanName

    public java.lang.String getAstChanName()

### setAstChanLanguage

    public void setAstChanLanguage(AsnObject new_value)

  astChanLanguage
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Which language the current channel is configured to use -- used mainly for prompts. )

### getAstChanLanguage

    public java.lang.String getAstChanLanguage()

### setAstChanType

    public void setAstChanType(AsnObject new_value)

  astChanType
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Underlying technology for the current channel. )

### getAstChanType

    public java.lang.String getAstChanType()

### setAstChanMusicClass

    public void setAstChanMusicClass(AsnObject new_value)

  astChanMusicClass
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Music class to be used for Music on Hold for this channel. )

### getAstChanMusicClass

    public java.lang.String getAstChanMusicClass()

### setAstChanBridge

    public void setAstChanBridge(AsnObject new_value)

  astChanBridge
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Which channel this channel is currently bridged (in a conversation) with. )

### getAstChanBridge

    public java.lang.String getAstChanBridge()

### setAstChanMasq

    public void setAstChanMasq(AsnObject new_value)

  astChanMasq
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Channel masquerading for us. )

### getAstChanMasq

    public java.lang.String getAstChanMasq()

### setAstChanMasqr

    public void setAstChanMasqr(AsnObject new_value)

  astChanMasqr
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Channel we are masquerading for. )

### getAstChanMasqr

    public java.lang.String getAstChanMasqr()

### setAstChanWhenHangup

    public void setAstChanWhenHangup(AsnObject new_value)

  astChanWhenHangup
  TYPE TimeTicks ::= [APPLICATION 3] INTEGER (0..4294967295)
  OBJECT-TYPE ( Syntax: [APPLICATION 3] INTEGER (0..4294967295) Access: read-only Status: current Description: How long until this channel will be hung up. )

### getAstChanWhenHangup

    public java.lang.Long getAstChanWhenHangup()

### setAstChanApp

    public void setAstChanApp(AsnObject new_value)

  astChanApp
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Current application for the channel. )

### getAstChanApp

    public java.lang.String getAstChanApp()

### setAstChanData

    public void setAstChanData(AsnObject new_value)

  astChanData
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Arguments passed to the current application. )

### getAstChanData

    public java.lang.String getAstChanData()

### setAstChanContext

    public void setAstChanContext(AsnObject new_value)

  astChanContext
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Current extension context. )

### getAstChanContext

    public java.lang.String getAstChanContext()

### setAstChanMacroContext

    public void setAstChanMacroContext(AsnObject new_value)

  astChanMacroContext
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Current macro context. )

### getAstChanMacroContext

    public java.lang.String getAstChanMacroContext()

### setAstChanMacroExten

    public void setAstChanMacroExten(AsnObject new_value)

  astChanMacroExten
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Current macro extension. )

### getAstChanMacroExten

    public java.lang.String getAstChanMacroExten()

### setAstChanMacroPri

    public void setAstChanMacroPri(AsnObject new_value)

  astChanMacroPri
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Current macro priority. )

### getAstChanMacroPri

    public java.lang.Integer getAstChanMacroPri()

### setAstChanExten

    public void setAstChanExten(AsnObject new_value)

  astChanExten
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Current extension. )

### getAstChanExten

    public java.lang.String getAstChanExten()

### setAstChanPri

    public void setAstChanPri(AsnObject new_value)

  astChanPri
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Current priority. )

### getAstChanPri

    public java.lang.Integer getAstChanPri()

### setAstChanAccountCode

    public void setAstChanAccountCode(AsnObject new_value)

  astChanAccountCode
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Account Code for billing. )

### getAstChanAccountCode

    public java.lang.String getAstChanAccountCode()

### setAstChanForwardTo

    public void setAstChanForwardTo(AsnObject new_value)

  astChanForwardTo
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Where to forward to if asked to dial on this interface. )

### getAstChanForwardTo

    public java.lang.String getAstChanForwardTo()

### setAstChanUniqueId

    public void setAstChanUniqueId(AsnObject new_value)

  astChanUniqueId
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Unique Channel Identifier. )

### getAstChanUniqueId

    public java.lang.String getAstChanUniqueId()

### setAstChanCallGroup

    public void setAstChanCallGroup(AsnObject new_value)

  astChanCallGroup
  TYPE Unsigned32 ::= [APPLICATION 2] INTEGER (0..4294967295)
  OBJECT-TYPE ( Syntax: [APPLICATION 2] INTEGER (0..4294967295) Access: read-only Status: current Description: Call Group. )

### getAstChanCallGroup

    public java.lang.Long getAstChanCallGroup()

### setAstChanPickupGroup

    public void setAstChanPickupGroup(AsnObject new_value)

  astChanPickupGroup
  TYPE Unsigned32 ::= [APPLICATION 2] INTEGER (0..4294967295)
  OBJECT-TYPE ( Syntax: [APPLICATION 2] INTEGER (0..4294967295) Access: read-only Status: current Description: Pickup Group. )

### getAstChanPickupGroup

    public java.lang.Long getAstChanPickupGroup()

### setAstChanState

    public void setAstChanState(AsnObject new_value)

  astChanState
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9) Access: read-only Status: current Description: Channel state. )

### getAstChanStateStr

    public java.lang.String getAstChanStateStr()

### getAstChanState

    public java.lang.Integer getAstChanState()

### setAstChanMuted

    public void setAstChanMuted(AsnObject new_value)

  astChanMuted
  TYPE TruthValue ::= TEXTUAL-CONVENTION ( Status: current Description: Represents a boolean value. Syntax: [UNIVERSAL 2] INTEGER (1 | 2) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (1 | 2) Access: read-only Status: current Description: Transmission of voice data has been muted. )

### getAstChanMutedStr

    public java.lang.String getAstChanMutedStr()

### getAstChanMuted

    public java.lang.Integer getAstChanMuted()

### setAstChanRings

    public void setAstChanRings(AsnObject new_value)

  astChanRings
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Number of rings so far. )

### getAstChanRings

    public java.lang.Integer getAstChanRings()

### setAstChanCidDNID

    public void setAstChanCidDNID(AsnObject new_value)

  astChanCidDNID
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Dialled Number ID. )

### getAstChanCidDNID

    public java.lang.String getAstChanCidDNID()

### setAstChanCidNum

    public void setAstChanCidNum(AsnObject new_value)

  astChanCidNum
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Caller Number. )

### getAstChanCidNum

    public java.lang.String getAstChanCidNum()

### setAstChanCidName

    public void setAstChanCidName(AsnObject new_value)

  astChanCidName
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Caller Name. )

### getAstChanCidName

    public java.lang.String getAstChanCidName()

### setAstCanCidANI

    public void setAstCanCidANI(AsnObject new_value)

  astCanCidANI
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: ANI )

### getAstCanCidANI

    public java.lang.String getAstCanCidANI()

### setAstChanCidRDNIS

    public void setAstChanCidRDNIS(AsnObject new_value)

  astChanCidRDNIS
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Redirected Dialled Number Service. )

### getAstChanCidRDNIS

    public java.lang.String getAstChanCidRDNIS()

### setAstChanCidPresentation

    public void setAstChanCidPresentation(AsnObject new_value)

  astChanCidPresentation
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Number Presentation/Screening. )

### getAstChanCidPresentation

    public java.lang.String getAstChanCidPresentation()

### setAstChanCidANI2

    public void setAstChanCidANI2(AsnObject new_value)

  astChanCidANI2
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: ANI 2 (info digit). )

### getAstChanCidANI2

    public java.lang.Integer getAstChanCidANI2()

### setAstChanCidTON

    public void setAstChanCidTON(AsnObject new_value)

  astChanCidTON
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Type of Number. )

### getAstChanCidTON

    public java.lang.Integer getAstChanCidTON()

### setAstChanCidTNS

    public void setAstChanCidTNS(AsnObject new_value)

  astChanCidTNS
  TYPE Integer32 ::= [UNIVERSAL 2] INTEGER (-2147483648..2147483647)
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (-2147483648..2147483647) Access: read-only Status: current Description: Transit Network Select. )

### getAstChanCidTNS

    public java.lang.Integer getAstChanCidTNS()

### setAstChanAMAFlags

    public void setAstChanAMAFlags(AsnObject new_value)

  astChanAMAFlags
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 1 | 2 | 3) Access: read-only Status: current Description: AMA Flags. )

### getAstChanAMAFlagsStr

    public java.lang.String getAstChanAMAFlagsStr()

### getAstChanAMAFlags

    public java.lang.Integer getAstChanAMAFlags()

### setAstChanADSI

    public void setAstChanADSI(AsnObject new_value)

  astChanADSI
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 1 | 2 | 3) Access: read-only Status: current Description: Whether or not ADSI is detected on CPE. )

### getAstChanADSIStr

    public java.lang.String getAstChanADSIStr()

### getAstChanADSI

    public java.lang.Integer getAstChanADSI()

### setAstChanToneZone

    public void setAstChanToneZone(AsnObject new_value)

  astChanToneZone
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Indication zone to use for channel. )

### getAstChanToneZone

    public java.lang.String getAstChanToneZone()

### setAstChanHangupCause

    public void setAstChanHangupCause(AsnObject new_value)

  astChanHangupCause
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 3 | 16 | 17 | 19 | 34 | 38 | 66) Access: read-only Status: current Description: Why is the channel hung up. )

### getAstChanHangupCauseStr

    public java.lang.String getAstChanHangupCauseStr()

### getAstChanHangupCause

    public java.lang.Integer getAstChanHangupCause()

### setAstChanVariables

    public void setAstChanVariables(AsnObject new_value)

  astChanVariables
  TYPE DisplayString ::= TEXTUAL-CONVENTION ( Display-Hint: 255a Status: current Description: Represents textual information taken from the NVT ASCII character set, as defined in pages 4, 10-11 of RFC 854. To summarize RFC 854, the NVT ASCII repertoire specifies: - the use of character codes 0-127 (decimal) - the graphics characters (32-126) are interpreted as US ASCII - NUL, LF, CR, BEL, BS, HT, VT and FF have the special meanings specified in RFC 854 - the other 25 codes have no standard interpretation - the sequence 'CR LF' means newline - the sequence 'CR NUL' means carriage-return - an 'LF' not preceded by a 'CR' means moving to the same column on the next line. - the sequence 'CR x' for any x other than LF or NUL is illegal. (Note that this also means that a string may end with either 'CR LF' or 'CR NUL', but not with CR.) Any object defined using this syntax may not exceed 255 characters in length. Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) )
  OBJECT-TYPE ( Syntax: [UNIVERSAL 4] OCTET STRING (SIZE (0..255)) Access: read-only Status: current Description: Channel Variables defined for this channel. )

### getAstChanVariables

    public java.lang.String getAstChanVariables()

### setAstChanFlags

    public void setAstChanFlags(AsnObject new_value)

  astChanFlags
  OBJECT-TYPE ( Syntax: [UNIVERSAL 3] BITS (0 | 1 | 2 | 3 | 4 | 5 | 6 | 7 | 8 | 9) Access: read-only Status: current Description: Flags set on this channel. )

### getAstChanFlagsStr

    public java.lang.String getAstChanFlagsStr()

### getAstChanFlags

    public byte[] getAstChanFlags()

### setAstChanTransferCap

    public void setAstChanTransferCap(AsnObject new_value)

  astChanTransferCap
  OBJECT-TYPE ( Syntax: [UNIVERSAL 2] INTEGER (0 | 8 | 9 | 16 | 17 | 24) Access: read-only Status: current Description: Transfer Capabilities for this channel. )

### getAstChanTransferCapStr

    public java.lang.String getAstChanTransferCapStr()

### getAstChanTransferCap

    public java.lang.Integer getAstChanTransferCap()

### isInvalid

    public boolean isInvalid()

  Returns if this set of values is invalid.

### toString

    public java.lang.String toString()

  Description copied from class: `Pdu`
  Returns the string representation of the PDU.

  Overrides:
    `toString` in class `Pdu`
  Returns:
    The string of the PDU

Overview | Package | Class | Tree | Deprecated | Index | Help
| SNMP Stack 5_1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD